
package com.amap.maps.jsmap.demo;

import android.content.Context;
import android.view.LayoutInflater;
import android.widget.FrameLayout;
import android.widget.TextView;

public final class FeatureView extends FrameLayout {

	public FeatureView(Context context) {
		super(context);
		LayoutInflater layoutInflater = (LayoutInflater) context
				.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
		layoutInflater.inflate(R.layout.feature, this);
	}

	public synchronized void setTitleId(int titleId) {
		((TextView) (findViewById(R.id.title))).setText(titleId);
	}
	public synchronized void setTitleId(int titleId, boolean issub) {
		String title = this.getResources().getString(titleId);
		if (issub) {
			((TextView) (findViewById(R.id.title))).setText("         "+title);
		} else{
			((TextView) (findViewById(R.id.title))).setText(title);
		}

	}

	public synchronized void setTitle(String title, boolean issub) {
		if (issub) {
			((TextView) (findViewById(R.id.title))).setText("         "+title);
		} else{
			((TextView) (findViewById(R.id.title))).setText(title);
		}

	}
	public synchronized void setDescriptionId(int descriptionId) {
		String description = this.getResources().getString(descriptionId);
		((TextView) (findViewById(R.id.description))).setText("           "+description);
	}

	public synchronized void setDescription(String description) {
		((TextView) (findViewById(R.id.description))).setText("           "+description);
	}



}
