package com.amap.maps.jsmap.demo;

import com.amap.api.maps.model.LatLng;

import java.util.Random;

/**
 * Created by zxy on 2017/6/28.
 */

public class RandomUtils {

    public static final LatLng BEIJING = new LatLng(39.90403, 116.407525);// 北京市经纬度
    public static final LatLng ZHONGGUANCUN = new LatLng(39.983456, 116.3154950);// 北京市中关村经纬度
    public static final LatLng SHANGHAI = new LatLng(31.238068, 121.501654);// 上海市经纬度
    public static final LatLng FANGHENG = new LatLng(39.989614, 116.481763);// 方恒国际中心经纬度
    public static final LatLng CHENGDU = new LatLng(30.679879, 104.064855);// 成都市经纬度
    public static final LatLng XIAN = new LatLng(34.341568, 108.940174);// 西安市经纬度
    public static final LatLng ZHENGZHOU = new LatLng(34.7466, 113.625367);// 郑州市经纬度
    public static final LatLng MANGU = new LatLng(13.743378, 100.518368);// 曼谷
    public static final LatLng SHOUER = new LatLng(36.269182,127.059963);// 韩国

    static Random random = new Random();

    public static LatLng getRandomLatLngInBeijing() {
        double lat = BEIJING.latitude + random.nextFloat() - 0.5f;
        double lon = BEIJING.longitude + random.nextFloat() - 0.5f;

        return new LatLng(lat,lon);
    }
}
